import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:calculator_plugin/calculator_plugin.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  Future<void> initPlatformState() async {
    try {
      CalculatorPlugin.calculatorAdd(10,5);
      CalculatorPlugin.calculatorsub(10,5);
       CalculatorPlugin.calculatordiv(10,5);
      CalculatorPlugin.calculatormul(10,5);
    } on PlatformException {}

  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        body: Center(
          child: Text('Running on'),
        ),
      ),
    );
  }
}
